Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network145.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
145.0.0.0
Broadcast address
145.255.255.255
First usable
145.0.0.1
Last usable
145.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex 91000000 · Integer 2432696320 to 2449473535
Reverse DNS zone
145.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010001..00000000.00000000.00000000145.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10010001..00000000.00000000.00000000145.0.0.0
Broadcast10010001..11111111.11111111.11111111145.255.255.255
Split into smaller subnets/19

145.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1145.0.0.0/19145.0.0.1 to 145.0.31.254145.0.31.2558,190
2145.0.32.0/19145.0.32.1 to 145.0.63.254145.0.63.2558,190
3145.0.64.0/19145.0.64.1 to 145.0.95.254145.0.95.2558,190
4145.0.96.0/19145.0.96.1 to 145.0.127.254145.0.127.2558,190
5145.0.128.0/19145.0.128.1 to 145.0.159.254145.0.159.2558,190
6145.0.160.0/19145.0.160.1 to 145.0.191.254145.0.191.2558,190
7145.0.192.0/19145.0.192.1 to 145.0.223.254145.0.223.2558,190
8145.0.224.0/19145.0.224.1 to 145.0.255.254145.0.255.2558,190
9145.1.0.0/19145.1.0.1 to 145.1.31.254145.1.31.2558,190
10145.1.32.0/19145.1.32.1 to 145.1.63.254145.1.63.2558,190
11145.1.64.0/19145.1.64.1 to 145.1.95.254145.1.95.2558,190
12145.1.96.0/19145.1.96.1 to 145.1.127.254145.1.127.2558,190
13145.1.128.0/19145.1.128.1 to 145.1.159.254145.1.159.2558,190
14145.1.160.0/19145.1.160.1 to 145.1.191.254145.1.191.2558,190
15145.1.192.0/19145.1.192.1 to 145.1.223.254145.1.223.2558,190
16145.1.224.0/19145.1.224.1 to 145.1.255.254145.1.255.2558,190
17145.2.0.0/19145.2.0.1 to 145.2.31.254145.2.31.2558,190
18145.2.32.0/19145.2.32.1 to 145.2.63.254145.2.63.2558,190
19145.2.64.0/19145.2.64.1 to 145.2.95.254145.2.95.2558,190
20145.2.96.0/19145.2.96.1 to 145.2.127.254145.2.127.2558,190
21145.2.128.0/19145.2.128.1 to 145.2.159.254145.2.159.2558,190
22145.2.160.0/19145.2.160.1 to 145.2.191.254145.2.191.2558,190
23145.2.192.0/19145.2.192.1 to 145.2.223.254145.2.223.2558,190
24145.2.224.0/19145.2.224.1 to 145.2.255.254145.2.255.2558,190
25145.3.0.0/19145.3.0.1 to 145.3.31.254145.3.31.2558,190
26145.3.32.0/19145.3.32.1 to 145.3.63.254145.3.63.2558,190
27145.3.64.0/19145.3.64.1 to 145.3.95.254145.3.95.2558,190
28145.3.96.0/19145.3.96.1 to 145.3.127.254145.3.127.2558,190
29145.3.128.0/19145.3.128.1 to 145.3.159.254145.3.159.2558,190
30145.3.160.0/19145.3.160.1 to 145.3.191.254145.3.191.2558,190
31145.3.192.0/19145.3.192.1 to 145.3.223.254145.3.223.2558,190
32145.3.224.0/19145.3.224.1 to 145.3.255.254145.3.255.2558,190
33145.4.0.0/19145.4.0.1 to 145.4.31.254145.4.31.2558,190
34145.4.32.0/19145.4.32.1 to 145.4.63.254145.4.63.2558,190
35145.4.64.0/19145.4.64.1 to 145.4.95.254145.4.95.2558,190
36145.4.96.0/19145.4.96.1 to 145.4.127.254145.4.127.2558,190
37145.4.128.0/19145.4.128.1 to 145.4.159.254145.4.159.2558,190
38145.4.160.0/19145.4.160.1 to 145.4.191.254145.4.191.2558,190
39145.4.192.0/19145.4.192.1 to 145.4.223.254145.4.223.2558,190
40145.4.224.0/19145.4.224.1 to 145.4.255.254145.4.255.2558,190
41145.5.0.0/19145.5.0.1 to 145.5.31.254145.5.31.2558,190
42145.5.32.0/19145.5.32.1 to 145.5.63.254145.5.63.2558,190
43145.5.64.0/19145.5.64.1 to 145.5.95.254145.5.95.2558,190
44145.5.96.0/19145.5.96.1 to 145.5.127.254145.5.127.2558,190
45145.5.128.0/19145.5.128.1 to 145.5.159.254145.5.159.2558,190
46145.5.160.0/19145.5.160.1 to 145.5.191.254145.5.191.2558,190
47145.5.192.0/19145.5.192.1 to 145.5.223.254145.5.223.2558,190
48145.5.224.0/19145.5.224.1 to 145.5.255.254145.5.255.2558,190
49145.6.0.0/19145.6.0.1 to 145.6.31.254145.6.31.2558,190
50145.6.32.0/19145.6.32.1 to 145.6.63.254145.6.63.2558,190
51145.6.64.0/19145.6.64.1 to 145.6.95.254145.6.95.2558,190
52145.6.96.0/19145.6.96.1 to 145.6.127.254145.6.127.2558,190
53145.6.128.0/19145.6.128.1 to 145.6.159.254145.6.159.2558,190
54145.6.160.0/19145.6.160.1 to 145.6.191.254145.6.191.2558,190
55145.6.192.0/19145.6.192.1 to 145.6.223.254145.6.223.2558,190
56145.6.224.0/19145.6.224.1 to 145.6.255.254145.6.255.2558,190
57145.7.0.0/19145.7.0.1 to 145.7.31.254145.7.31.2558,190
58145.7.32.0/19145.7.32.1 to 145.7.63.254145.7.63.2558,190
59145.7.64.0/19145.7.64.1 to 145.7.95.254145.7.95.2558,190
60145.7.96.0/19145.7.96.1 to 145.7.127.254145.7.127.2558,190
61145.7.128.0/19145.7.128.1 to 145.7.159.254145.7.159.2558,190
62145.7.160.0/19145.7.160.1 to 145.7.191.254145.7.191.2558,190
63145.7.192.0/19145.7.192.1 to 145.7.223.254145.7.223.2558,190
64145.7.224.0/19145.7.224.1 to 145.7.255.254145.7.255.2558,190
65145.8.0.0/19145.8.0.1 to 145.8.31.254145.8.31.2558,190
66145.8.32.0/19145.8.32.1 to 145.8.63.254145.8.63.2558,190
67145.8.64.0/19145.8.64.1 to 145.8.95.254145.8.95.2558,190
68145.8.96.0/19145.8.96.1 to 145.8.127.254145.8.127.2558,190
69145.8.128.0/19145.8.128.1 to 145.8.159.254145.8.159.2558,190
70145.8.160.0/19145.8.160.1 to 145.8.191.254145.8.191.2558,190
71145.8.192.0/19145.8.192.1 to 145.8.223.254145.8.223.2558,190
72145.8.224.0/19145.8.224.1 to 145.8.255.254145.8.255.2558,190
73145.9.0.0/19145.9.0.1 to 145.9.31.254145.9.31.2558,190
74145.9.32.0/19145.9.32.1 to 145.9.63.254145.9.63.2558,190
75145.9.64.0/19145.9.64.1 to 145.9.95.254145.9.95.2558,190
76145.9.96.0/19145.9.96.1 to 145.9.127.254145.9.127.2558,190
77145.9.128.0/19145.9.128.1 to 145.9.159.254145.9.159.2558,190
78145.9.160.0/19145.9.160.1 to 145.9.191.254145.9.191.2558,190
79145.9.192.0/19145.9.192.1 to 145.9.223.254145.9.223.2558,190
80145.9.224.0/19145.9.224.1 to 145.9.255.254145.9.255.2558,190
81145.10.0.0/19145.10.0.1 to 145.10.31.254145.10.31.2558,190
82145.10.32.0/19145.10.32.1 to 145.10.63.254145.10.63.2558,190
83145.10.64.0/19145.10.64.1 to 145.10.95.254145.10.95.2558,190
84145.10.96.0/19145.10.96.1 to 145.10.127.254145.10.127.2558,190
85145.10.128.0/19145.10.128.1 to 145.10.159.254145.10.159.2558,190
86145.10.160.0/19145.10.160.1 to 145.10.191.254145.10.191.2558,190
87145.10.192.0/19145.10.192.1 to 145.10.223.254145.10.223.2558,190
88145.10.224.0/19145.10.224.1 to 145.10.255.254145.10.255.2558,190
89145.11.0.0/19145.11.0.1 to 145.11.31.254145.11.31.2558,190
90145.11.32.0/19145.11.32.1 to 145.11.63.254145.11.63.2558,190
91145.11.64.0/19145.11.64.1 to 145.11.95.254145.11.95.2558,190
92145.11.96.0/19145.11.96.1 to 145.11.127.254145.11.127.2558,190
93145.11.128.0/19145.11.128.1 to 145.11.159.254145.11.159.2558,190
94145.11.160.0/19145.11.160.1 to 145.11.191.254145.11.191.2558,190
95145.11.192.0/19145.11.192.1 to 145.11.223.254145.11.223.2558,190
96145.11.224.0/19145.11.224.1 to 145.11.255.254145.11.255.2558,190
97145.12.0.0/19145.12.0.1 to 145.12.31.254145.12.31.2558,190
98145.12.32.0/19145.12.32.1 to 145.12.63.254145.12.63.2558,190
99145.12.64.0/19145.12.64.1 to 145.12.95.254145.12.95.2558,190
100145.12.96.0/19145.12.96.1 to 145.12.127.254145.12.127.2558,190
101145.12.128.0/19145.12.128.1 to 145.12.159.254145.12.159.2558,190
102145.12.160.0/19145.12.160.1 to 145.12.191.254145.12.191.2558,190
103145.12.192.0/19145.12.192.1 to 145.12.223.254145.12.223.2558,190
104145.12.224.0/19145.12.224.1 to 145.12.255.254145.12.255.2558,190
105145.13.0.0/19145.13.0.1 to 145.13.31.254145.13.31.2558,190
106145.13.32.0/19145.13.32.1 to 145.13.63.254145.13.63.2558,190
107145.13.64.0/19145.13.64.1 to 145.13.95.254145.13.95.2558,190
108145.13.96.0/19145.13.96.1 to 145.13.127.254145.13.127.2558,190
109145.13.128.0/19145.13.128.1 to 145.13.159.254145.13.159.2558,190
110145.13.160.0/19145.13.160.1 to 145.13.191.254145.13.191.2558,190
111145.13.192.0/19145.13.192.1 to 145.13.223.254145.13.223.2558,190
112145.13.224.0/19145.13.224.1 to 145.13.255.254145.13.255.2558,190
113145.14.0.0/19145.14.0.1 to 145.14.31.254145.14.31.2558,190
114145.14.32.0/19145.14.32.1 to 145.14.63.254145.14.63.2558,190
115145.14.64.0/19145.14.64.1 to 145.14.95.254145.14.95.2558,190
116145.14.96.0/19145.14.96.1 to 145.14.127.254145.14.127.2558,190
117145.14.128.0/19145.14.128.1 to 145.14.159.254145.14.159.2558,190
118145.14.160.0/19145.14.160.1 to 145.14.191.254145.14.191.2558,190
119145.14.192.0/19145.14.192.1 to 145.14.223.254145.14.223.2558,190
120145.14.224.0/19145.14.224.1 to 145.14.255.254145.14.255.2558,190
121145.15.0.0/19145.15.0.1 to 145.15.31.254145.15.31.2558,190
122145.15.32.0/19145.15.32.1 to 145.15.63.254145.15.63.2558,190
123145.15.64.0/19145.15.64.1 to 145.15.95.254145.15.95.2558,190
124145.15.96.0/19145.15.96.1 to 145.15.127.254145.15.127.2558,190
125145.15.128.0/19145.15.128.1 to 145.15.159.254145.15.159.2558,190
126145.15.160.0/19145.15.160.1 to 145.15.191.254145.15.191.2558,190
127145.15.192.0/19145.15.192.1 to 145.15.223.254145.15.223.2558,190
128145.15.224.0/19145.15.224.1 to 145.15.255.254145.15.255.2558,190
129145.16.0.0/19145.16.0.1 to 145.16.31.254145.16.31.2558,190
130145.16.32.0/19145.16.32.1 to 145.16.63.254145.16.63.2558,190
131145.16.64.0/19145.16.64.1 to 145.16.95.254145.16.95.2558,190
132145.16.96.0/19145.16.96.1 to 145.16.127.254145.16.127.2558,190
133145.16.128.0/19145.16.128.1 to 145.16.159.254145.16.159.2558,190
134145.16.160.0/19145.16.160.1 to 145.16.191.254145.16.191.2558,190
135145.16.192.0/19145.16.192.1 to 145.16.223.254145.16.223.2558,190
136145.16.224.0/19145.16.224.1 to 145.16.255.254145.16.255.2558,190
137145.17.0.0/19145.17.0.1 to 145.17.31.254145.17.31.2558,190
138145.17.32.0/19145.17.32.1 to 145.17.63.254145.17.63.2558,190
139145.17.64.0/19145.17.64.1 to 145.17.95.254145.17.95.2558,190
140145.17.96.0/19145.17.96.1 to 145.17.127.254145.17.127.2558,190
141145.17.128.0/19145.17.128.1 to 145.17.159.254145.17.159.2558,190
142145.17.160.0/19145.17.160.1 to 145.17.191.254145.17.191.2558,190
143145.17.192.0/19145.17.192.1 to 145.17.223.254145.17.223.2558,190
144145.17.224.0/19145.17.224.1 to 145.17.255.254145.17.255.2558,190
145145.18.0.0/19145.18.0.1 to 145.18.31.254145.18.31.2558,190
146145.18.32.0/19145.18.32.1 to 145.18.63.254145.18.63.2558,190
147145.18.64.0/19145.18.64.1 to 145.18.95.254145.18.95.2558,190
148145.18.96.0/19145.18.96.1 to 145.18.127.254145.18.127.2558,190
149145.18.128.0/19145.18.128.1 to 145.18.159.254145.18.159.2558,190
150145.18.160.0/19145.18.160.1 to 145.18.191.254145.18.191.2558,190
151145.18.192.0/19145.18.192.1 to 145.18.223.254145.18.223.2558,190
152145.18.224.0/19145.18.224.1 to 145.18.255.254145.18.255.2558,190
153145.19.0.0/19145.19.0.1 to 145.19.31.254145.19.31.2558,190
154145.19.32.0/19145.19.32.1 to 145.19.63.254145.19.63.2558,190
155145.19.64.0/19145.19.64.1 to 145.19.95.254145.19.95.2558,190
156145.19.96.0/19145.19.96.1 to 145.19.127.254145.19.127.2558,190
157145.19.128.0/19145.19.128.1 to 145.19.159.254145.19.159.2558,190
158145.19.160.0/19145.19.160.1 to 145.19.191.254145.19.191.2558,190
159145.19.192.0/19145.19.192.1 to 145.19.223.254145.19.223.2558,190
160145.19.224.0/19145.19.224.1 to 145.19.255.254145.19.255.2558,190
161145.20.0.0/19145.20.0.1 to 145.20.31.254145.20.31.2558,190
162145.20.32.0/19145.20.32.1 to 145.20.63.254145.20.63.2558,190
163145.20.64.0/19145.20.64.1 to 145.20.95.254145.20.95.2558,190
164145.20.96.0/19145.20.96.1 to 145.20.127.254145.20.127.2558,190
165145.20.128.0/19145.20.128.1 to 145.20.159.254145.20.159.2558,190
166145.20.160.0/19145.20.160.1 to 145.20.191.254145.20.191.2558,190
167145.20.192.0/19145.20.192.1 to 145.20.223.254145.20.223.2558,190
168145.20.224.0/19145.20.224.1 to 145.20.255.254145.20.255.2558,190
169145.21.0.0/19145.21.0.1 to 145.21.31.254145.21.31.2558,190
170145.21.32.0/19145.21.32.1 to 145.21.63.254145.21.63.2558,190
171145.21.64.0/19145.21.64.1 to 145.21.95.254145.21.95.2558,190
172145.21.96.0/19145.21.96.1 to 145.21.127.254145.21.127.2558,190
173145.21.128.0/19145.21.128.1 to 145.21.159.254145.21.159.2558,190
174145.21.160.0/19145.21.160.1 to 145.21.191.254145.21.191.2558,190
175145.21.192.0/19145.21.192.1 to 145.21.223.254145.21.223.2558,190
176145.21.224.0/19145.21.224.1 to 145.21.255.254145.21.255.2558,190
177145.22.0.0/19145.22.0.1 to 145.22.31.254145.22.31.2558,190
178145.22.32.0/19145.22.32.1 to 145.22.63.254145.22.63.2558,190
179145.22.64.0/19145.22.64.1 to 145.22.95.254145.22.95.2558,190
180145.22.96.0/19145.22.96.1 to 145.22.127.254145.22.127.2558,190
181145.22.128.0/19145.22.128.1 to 145.22.159.254145.22.159.2558,190
182145.22.160.0/19145.22.160.1 to 145.22.191.254145.22.191.2558,190
183145.22.192.0/19145.22.192.1 to 145.22.223.254145.22.223.2558,190
184145.22.224.0/19145.22.224.1 to 145.22.255.254145.22.255.2558,190
185145.23.0.0/19145.23.0.1 to 145.23.31.254145.23.31.2558,190
186145.23.32.0/19145.23.32.1 to 145.23.63.254145.23.63.2558,190
187145.23.64.0/19145.23.64.1 to 145.23.95.254145.23.95.2558,190
188145.23.96.0/19145.23.96.1 to 145.23.127.254145.23.127.2558,190
189145.23.128.0/19145.23.128.1 to 145.23.159.254145.23.159.2558,190
190145.23.160.0/19145.23.160.1 to 145.23.191.254145.23.191.2558,190
191145.23.192.0/19145.23.192.1 to 145.23.223.254145.23.223.2558,190
192145.23.224.0/19145.23.224.1 to 145.23.255.254145.23.255.2558,190
193145.24.0.0/19145.24.0.1 to 145.24.31.254145.24.31.2558,190
194145.24.32.0/19145.24.32.1 to 145.24.63.254145.24.63.2558,190
195145.24.64.0/19145.24.64.1 to 145.24.95.254145.24.95.2558,190
196145.24.96.0/19145.24.96.1 to 145.24.127.254145.24.127.2558,190
197145.24.128.0/19145.24.128.1 to 145.24.159.254145.24.159.2558,190
198145.24.160.0/19145.24.160.1 to 145.24.191.254145.24.191.2558,190
199145.24.192.0/19145.24.192.1 to 145.24.223.254145.24.223.2558,190
200145.24.224.0/19145.24.224.1 to 145.24.255.254145.24.255.2558,190
201145.25.0.0/19145.25.0.1 to 145.25.31.254145.25.31.2558,190
202145.25.32.0/19145.25.32.1 to 145.25.63.254145.25.63.2558,190
203145.25.64.0/19145.25.64.1 to 145.25.95.254145.25.95.2558,190
204145.25.96.0/19145.25.96.1 to 145.25.127.254145.25.127.2558,190
205145.25.128.0/19145.25.128.1 to 145.25.159.254145.25.159.2558,190
206145.25.160.0/19145.25.160.1 to 145.25.191.254145.25.191.2558,190
207145.25.192.0/19145.25.192.1 to 145.25.223.254145.25.223.2558,190
208145.25.224.0/19145.25.224.1 to 145.25.255.254145.25.255.2558,190
209145.26.0.0/19145.26.0.1 to 145.26.31.254145.26.31.2558,190
210145.26.32.0/19145.26.32.1 to 145.26.63.254145.26.63.2558,190
211145.26.64.0/19145.26.64.1 to 145.26.95.254145.26.95.2558,190
212145.26.96.0/19145.26.96.1 to 145.26.127.254145.26.127.2558,190
213145.26.128.0/19145.26.128.1 to 145.26.159.254145.26.159.2558,190
214145.26.160.0/19145.26.160.1 to 145.26.191.254145.26.191.2558,190
215145.26.192.0/19145.26.192.1 to 145.26.223.254145.26.223.2558,190
216145.26.224.0/19145.26.224.1 to 145.26.255.254145.26.255.2558,190
217145.27.0.0/19145.27.0.1 to 145.27.31.254145.27.31.2558,190
218145.27.32.0/19145.27.32.1 to 145.27.63.254145.27.63.2558,190
219145.27.64.0/19145.27.64.1 to 145.27.95.254145.27.95.2558,190
220145.27.96.0/19145.27.96.1 to 145.27.127.254145.27.127.2558,190
221145.27.128.0/19145.27.128.1 to 145.27.159.254145.27.159.2558,190
222145.27.160.0/19145.27.160.1 to 145.27.191.254145.27.191.2558,190
223145.27.192.0/19145.27.192.1 to 145.27.223.254145.27.223.2558,190
224145.27.224.0/19145.27.224.1 to 145.27.255.254145.27.255.2558,190
225145.28.0.0/19145.28.0.1 to 145.28.31.254145.28.31.2558,190
226145.28.32.0/19145.28.32.1 to 145.28.63.254145.28.63.2558,190
227145.28.64.0/19145.28.64.1 to 145.28.95.254145.28.95.2558,190
228145.28.96.0/19145.28.96.1 to 145.28.127.254145.28.127.2558,190
229145.28.128.0/19145.28.128.1 to 145.28.159.254145.28.159.2558,190
230145.28.160.0/19145.28.160.1 to 145.28.191.254145.28.191.2558,190
231145.28.192.0/19145.28.192.1 to 145.28.223.254145.28.223.2558,190
232145.28.224.0/19145.28.224.1 to 145.28.255.254145.28.255.2558,190
233145.29.0.0/19145.29.0.1 to 145.29.31.254145.29.31.2558,190
234145.29.32.0/19145.29.32.1 to 145.29.63.254145.29.63.2558,190
235145.29.64.0/19145.29.64.1 to 145.29.95.254145.29.95.2558,190
236145.29.96.0/19145.29.96.1 to 145.29.127.254145.29.127.2558,190
237145.29.128.0/19145.29.128.1 to 145.29.159.254145.29.159.2558,190
238145.29.160.0/19145.29.160.1 to 145.29.191.254145.29.191.2558,190
239145.29.192.0/19145.29.192.1 to 145.29.223.254145.29.223.2558,190
240145.29.224.0/19145.29.224.1 to 145.29.255.254145.29.255.2558,190
241145.30.0.0/19145.30.0.1 to 145.30.31.254145.30.31.2558,190
242145.30.32.0/19145.30.32.1 to 145.30.63.254145.30.63.2558,190
243145.30.64.0/19145.30.64.1 to 145.30.95.254145.30.95.2558,190
244145.30.96.0/19145.30.96.1 to 145.30.127.254145.30.127.2558,190
245145.30.128.0/19145.30.128.1 to 145.30.159.254145.30.159.2558,190
246145.30.160.0/19145.30.160.1 to 145.30.191.254145.30.191.2558,190
247145.30.192.0/19145.30.192.1 to 145.30.223.254145.30.223.2558,190
248145.30.224.0/19145.30.224.1 to 145.30.255.254145.30.255.2558,190
249145.31.0.0/19145.31.0.1 to 145.31.31.254145.31.31.2558,190
250145.31.32.0/19145.31.32.1 to 145.31.63.254145.31.63.2558,190
251145.31.64.0/19145.31.64.1 to 145.31.95.254145.31.95.2558,190
252145.31.96.0/19145.31.96.1 to 145.31.127.254145.31.127.2558,190
253145.31.128.0/19145.31.128.1 to 145.31.159.254145.31.159.2558,190
254145.31.160.0/19145.31.160.1 to 145.31.191.254145.31.191.2558,190
255145.31.192.0/19145.31.192.1 to 145.31.223.254145.31.223.2558,190
256145.31.224.0/19145.31.224.1 to 145.31.255.254145.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses